{
  "main": "electron/main.mjs",
  "name": "meet-admin",
   "type": "module",
  "version": "0.0.1",
  "private": true,
  "description": "meet-admin open source management system",
  "author": {
    "name": "Meet you"
  },
  "license": "MIT",
 
  "keywords": [
    "admin",
    "meet-admin",
    "element-plus",
    "unocss",
    "typescript",
    "pinia",
    "vue3",
    "vue.js",
    "vite",
    "esm",
    "vueuse",
    "a-calc",
    "dayjs",
    "localforage",
    "lodash-es",
    "vue-draggable-plus",
    "axios",
    "nprogress"
  ],
  "engines": {
    "node": ">=20",
    "pnpm": ">=9"
  },
  "scripts": {
    "dev": "vite --mode dev",
    "dev:test": "vite --mode test",
    "dev:prod": "vite --mode prod",
    "build": "vite build --mode prod",
    "preview": "vite preview",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "commit": "czg",
    "prepare": "husky",
    "electron:start": "cross-env NODE_ENV=development electron .",
    "electron:dev": "run-p dev electron:start",
    "electron:build": "cross-env NODE_ENV=production vite build --mode prod && npx electron-builder"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@iconify-icons/icon-park-outline": "^1.2.11",
    "@unocss/reset": "^0.63.4",
    "@vueuse/core": "^11.1.0",
    "a-calc": "^2.2.10",
    "axios": "^1.7.7",
    "csstype": "^3.1.3",
    "dayjs": "^1.11.13",
    "echarts": "^5.6.0",
    "element-plus": "^2.9.2",
    "file-saver": "^2.0.5",
    "gsap": "^3.12.5",
    "localforage": "^1.10.0",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.4",
    "pinia-plugin-persistedstate": "^4.1.1",
    "qs": "^6.13.0",
    "screenfull": "^6.0.2",
    "version-rocket": "^1.7.4",
    "vue": "^3.5.12",
    "vue-draggable-plus": "^0.5.4",
    "vue-i18n": "^10.0.4",
    "vue-router": "^4.4.5",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^3.8.0",
    "@commitlint/cli": "^19.5.0",
    "@commitlint/config-conventional": "^19.5.0",
    "@iconify/types": "^2.0.0",
    "@iconify/vue": "^4.3.0",
    "@intlify/unplugin-vue-i18n": "^5.2.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^20.16.13",
    "@types/nprogress": "^0.2.3",
    "@types/qs": "^6.9.16",
    "@unocss/eslint-plugin": "^0.63.4",
    "@unocss/preset-rem-to-px": "^0.63.4",
    "@vicons/ionicons5": "^0.12.0",
    "@vitejs/plugin-vue": "^5.1.4",
    "@vitejs/plugin-vue-jsx": "^4.0.1",
    "@vue/tsconfig": "^0.5.1",
    "cross-env": "^7.0.3",
    "cz-git": "^1.10.1",
    "czg": "^1.10.1",
    "electron": "^35.0.1",
    "electron-builder": "^25.1.8",
    "eslint": "^9.13.0",
    "husky": "^9.1.6",
    "lint-staged": "^15.2.10",
    "npm-run-all": "^4.1.5",
    "sass": "^1.80.3",
    "typescript": "~5.6.3",
    "unocss": "^0.63.4",
    "unplugin-auto-import": "^0.18.3",
    "unplugin-vue-components": "^0.27.5",
    "vite": "^5.4.9",
    "vite-plugin-compression": "^0.5.1",
    "vue-tsc": "^2.1.6"
  },
  "build": {
    "appId": "com.example.meet-admin",
    "productName": "激光测距仪",
    "directories": {
      "output": "dist_electron"
    },
    "files": [
      "dist/**/*",
      "electron/main.mjs",
      "electron/preload.mjs",
      "serves/**/*"
    ],
    "asar": true,
    "asarUnpack": [
      "serves/dist/api_test.exe"
    ],
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "shortcutName": "激光测距仪"
    },
    "win": {
      "target": "nsis",
      "icon": "public/icon.ico",
      "artifactName": "${productName}-${version}-setup.${ext}"
    },
    "mac": {
      "target": [
        "dmg",
        "zip"
      ],
      "icon": "public/icon.icns",
      "hardenedRuntime": true,
      "gatekeeperAssess": false
    },
    "linux": {
      "target": [
        "AppImage",
        "deb"
      ],
      "icon": "public/icon.png",
      "category": "Utility"
    }
  }
}
